@charset "UTF-8";

table.disco {
  margin-left: -0.3em;
  border-collapse: separate;
  border-spacing: 0;
  width: fit-content;
  color: var(--aalto-idp-link-color);
}
td.disco {
  border: var(--aalto-idp-button-border-width) solid transparent;
  text-align: left;
  vertical-align: middle;
}

/* Highlight active tr */
tr.disco:hover td.disco,
tr.disco:focus-within td.disco {
  border: var(--aalto-idp-button-border-width) var(--aalto-idp-button-border-style) var(--aalto-idp-2nd-bt-border-color);
  color: var(--aalto-idp-button-hover-bg);
  /* background-color: var(--aalto-idp-button-hover-color); */
}

/* Round the tr corners */
tr.disco td.disco:first-child {
  border-top-left-radius: var(--aalto-idp-border-radius-medium);
  border-bottom-left-radius: var(--aalto-idp-border-radius-medium);
  border-right: none;
}
tr.disco td.disco:last-child {
  border-top-right-radius: var(--aalto-idp-border-radius-medium);
  border-bottom-right-radius: var(--aalto-idp-border-radius-medium);
  border-left: none;
}

img.disco {
  object-fit: contain;
  vertical-align: middle;
  width: 1.4em;
  height: 1.4em;
}

a.disco-logo[href] {
  padding: 0.2em 0.3em 0.2em 0.2em;
}
a.disco[href] {
  width: 100%;
  height: 100%;
  display: block;
  color: inherit;
  font-size: 1.5em;
}
a.disco-text[href] {
  padding: 0.4em 0.2em 0.4em 0.3em;
}
a.disco[href]:hover, a.disco[href]:active, a.disco[href]:focus {
  color: inherit;
  text-decoration: none;
}
